org.deidentifier.arx.aggregates.quality

## Class QualityMeasureColumnOriented

- java.lang.Object
- - org.deidentifier.arx.aggregates.quality.QualityMeasureColumnOriented

    public class QualityMeasureColumnOriented
    extends java.lang.Object

Quality measures for individual attributes. Results are reported in range [0, 1]. Higher is better.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`QualityMeasureColumnOriented()` Creates an empty instance
`QualityMeasureColumnOriented(DataHandle handle, int[] indices)` Creates a new instance for input data
`QualityMeasureColumnOriented(DataHandle handle, int[] indices, double[] minimum, double[] result, double[] maximum)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getArithmeticMean()` Returns an aggregate, or NaN if not available.
`double` `getArithmeticMean(boolean normalizeBeforeAggregation)` Returns an aggregate, or NaN if not available.
`double` `getGeometricMean()` Returns an aggregate, or NaN if not available.
`double` `getGeometricMean(boolean normalizeBeforeAggregation)` Returns an aggregate, or NaN if not available.
`double` `getMax()` Returns an aggregate, or NaN if not available.
`double` `getMax(boolean normalizeBeforeAggregation)` Returns an aggregate, or NaN if not available.
`double` `getValue(java.lang.String attribute)` Returns the normalized [0, 1] value for the given attribute.
`boolean` `isAvailable(java.lang.String attribute)` Returns whether a value is available for the given attribute

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QualityMeasureColumnOriented

    public QualityMeasureColumnOriented()

Creates an empty instance

#### QualityMeasureColumnOriented

    public QualityMeasureColumnOriented(DataHandle handle,
                                        int[] indices)

Creates a new instance for input data

Parameters:
  `handle` -
  `indices` -

#### QualityMeasureColumnOriented

    public QualityMeasureColumnOriented(DataHandle handle,
                                        int[] indices,
                                        double[] minimum,
                                        double[] result,
                                        double[] maximum)

Creates a new instance

Parameters:
  `handle` -
  `indices` -
  `minimum` -
  `result` -
  `maximum` -

### Method Detail

#### getArithmeticMean

    public double getArithmeticMean()

Returns an aggregate, or NaN if not available. Higher is better.

Returns:

#### getArithmeticMean

    public double getArithmeticMean(boolean normalizeBeforeAggregation)

Returns an aggregate, or NaN if not available. Higher is better.

Parameters:
  `normalizeBeforeAggregation` -
Returns:

#### getGeometricMean

    public double getGeometricMean()

Returns an aggregate, or NaN if not available. Higher is better.

Returns:

#### getGeometricMean

    public double getGeometricMean(boolean normalizeBeforeAggregation)

Returns an aggregate, or NaN if not available. Higher is better.

Parameters:
  `normalizeBeforeAggregation` -
Returns:

#### getMax

    public double getMax()

Returns an aggregate, or NaN if not available. Higher is better.

Returns:

#### getMax

    public double getMax(boolean normalizeBeforeAggregation)

Returns an aggregate, or NaN if not available. Higher is better.

Parameters:
  `normalizeBeforeAggregation` -
Returns:

#### getValue

    public double getValue(java.lang.String attribute)

Returns the normalized [0, 1] value for the given attribute. Higher is better.

Parameters:
  `attribute` -
Returns:

#### isAvailable

    public boolean isAvailable(java.lang.String attribute)

Returns whether a value is available for the given attribute

Parameters:
  `attribute` -
Returns: